
package org.oasis_open.docs.ns.cmis.messaging._200901;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.oasis_open.docs.ns.cmis.core._200901.CmisAccessControlEntryType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="ACEs" type="{http://docs.oasis-open.org/ns/cmis/core/200901}cmisAccessControlEntryType" maxOccurs="unbounded"/>
 *         &lt;element name="exact" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "acEs",
    "exact"
})
@XmlRootElement(name = "applyACLResponse")
public class ApplyACLResponse {

    @XmlElement(name = "ACEs", required = true)
    protected List<CmisAccessControlEntryType> acEs;
    protected boolean exact;

    /**
     * Gets the value of the acEs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the acEs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getACEs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CmisAccessControlEntryType }
     * 
     * 
     */
    public List<CmisAccessControlEntryType> getACEs() {
        if (acEs == null) {
            acEs = new ArrayList<CmisAccessControlEntryType>();
        }
        return this.acEs;
    }

    /**
     * Gets the value of the exact property.
     * 
     */
    public boolean isExact() {
        return exact;
    }

    /**
     * Sets the value of the exact property.
     * 
     */
    public void setExact(boolean value) {
        this.exact = value;
    }

}
