
package org.oasis_open.docs.ns.cmis.messaging._200901;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import org.oasis_open.docs.ns.cmis.core._200901.CmisAccessControlEntryType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="repositoryId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="addACEs" type="{http://docs.oasis-open.org/ns/cmis/core/200901}cmisAccessControlEntryType" maxOccurs="unbounded"/>
 *         &lt;element name="removeACEs" type="{http://docs.oasis-open.org/ns/cmis/core/200901}cmisAccessControlEntryType" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "repositoryId",
    "addACEs",
    "removeACEs"
})
@XmlRootElement(name = "applyACL")
public class ApplyACL {

    @XmlElement(required = true)
    protected String repositoryId;
    @XmlElement(required = true)
    protected List<CmisAccessControlEntryType> addACEs;
    @XmlElement(required = true)
    protected List<CmisAccessControlEntryType> removeACEs;

    /**
     * Gets the value of the repositoryId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRepositoryId() {
        return repositoryId;
    }

    /**
     * Sets the value of the repositoryId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRepositoryId(String value) {
        this.repositoryId = value;
    }

    /**
     * Gets the value of the addACEs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the addACEs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAddACEs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CmisAccessControlEntryType }
     * 
     * 
     */
    public List<CmisAccessControlEntryType> getAddACEs() {
        if (addACEs == null) {
            addACEs = new ArrayList<CmisAccessControlEntryType>();
        }
        return this.addACEs;
    }

    /**
     * Gets the value of the removeACEs property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the removeACEs property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRemoveACEs().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CmisAccessControlEntryType }
     * 
     * 
     */
    public List<CmisAccessControlEntryType> getRemoveACEs() {
        if (removeACEs == null) {
            removeACEs = new ArrayList<CmisAccessControlEntryType>();
        }
        return this.removeACEs;
    }

}
